Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get release

GET/workspaces/{organizationId}/releases/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Release

idstringrequired
organizationIdstringrequired
projectIdstring | nullrequired
teamIdstring | nullrequired
namestringrequired
versionstring | nullrequired
statusstringrequired
Allowed:upcomingin_progressreleasedarchived
notesstring | nullrequired
plannedAtstring | nullrequired
releasedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/releases/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "teamId": "string",
  "name": "string",
  "version": "string",
  "status": "upcoming",
  "notes": "string",
  "plannedAt": "string",
  "releasedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?